/* RPC interface.
   Copyright (C) 2002 Free Software Foundation, Inc.
   Written by Neal H. Walfield.

   This file is part of the GNU Hurd.

   The GNU Hurd is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   The GNU Hurd is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA. */

#include <rpc_server.h>

#ifndef RPC_PREFIX
#define RPC_PREFIX S_
#endif

#ifndef RPC_PREFIX
#define RPC_POSTFIX
#endif

#include <hurd/l4/rpc-magic.h>

RPC_GEN (rpc_interrupt, RPC_PARAMETERS (), RPC_ARGS ());

#undef RPC_PREFIX
#undef RPC_POSTFIX
