#ifndef __SYS_PANIC_H__
#define __SYS_PANIC_H__

#include <l4io.h>

#define panic(fmt, args...) \
	do \
	  { \
	    printf ("\n*** system panic ***\n"); \
	    printf (fmt , ## args); \
	    printf ("\nOccured at " __FILE__ ":%d in " \
		    __FUNCTION__ "\n",  __LINE__); \
	    printf ("*** system panic ***\n"); \
	    for (;;) \
	      ; \
	  } \
	while (0)

#endif
