#ifndef __SYS_PANIC_H__
#define __SYS_PANIC_H__

#include <l4/l4.h>
#include <l4io.h>

#define panic(fmt, args...) \
	do \
	  { \
	    printf (fmt , ## args); \
	    printf (__FILE__ ":%d in " __FUNCTION__ "\n", __LINE__); \
	    enter_kdebug (" *** system panic ***"); \
	  } \
	while (0)

#endif
