## Copyright (C) 2002 Free Software Foundation, Inc.
## Written by Neal H. Walfield.
##
## This file is part of the GNU Hurd.
##
## The GNU Hurd is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License as
## published by the Free Software Foundation; either version 2, or (at
## your option) any later version.
##
## The GNU Hurd is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.

hurd_SYSDEPS([libpthread/sysdeps/$MICROKERNEL/hurd
              libpthread/sysdeps/$MICROKERNEL
              libpthread/sysdeps/$MICROKERNEL/i386
              libpthread/sysdeps/hurd
              libpthread/sysdeps/generic
              libpthread/pthread
              libpthread/include],
             [lock-intern.h
 
              pthread.h
              pthread/pthread.h

              bits/pthread.h
              bits/mutex.h
              bits/condition.h
              bits/condition-attr.h
              bits/spin-lock.h
              bits/cancelation.h
              bits/thread-attr.h
              bits/barrier-attr.h
              bits/barrier.h
              bits/thread-specific.h
              bits/once.h
              bits/mutex-attr.h
              bits/rwlock.h
              bits/rwlock-attr.h])
