/* 
   Copyright (C) 1996, 2002 Free Software Foundation, Inc.
   Written by Michael I. Bushnell, p/BSG.

   This file is part of the GNU Hurd.

   The GNU Hurd is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   The GNU Hurd is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA. */

#include "server-handles.h"

/* Create and return in RESULT a new server_handle in CLASS and
   BUCKET; SIZE bytes will be allocated to hold the server_handle
   structure and whatever private data the user desires.  */
error_t
server_handle_create_noinstall (struct server_handle_class *class, 
				struct server_handle_bucket *bucket,
				size_t size, void *result)
{
  return _server_handle_create_internal (class, bucket,
					 size, result, 0);
}



