#ifndef __ERRNO_H__
#  ifdef __need_error_t
#    ifdef __have_error_t
#      undef __need_error_t
#    endif
#  else
#    define __need_ERRNO_H__
#  endif

#  if defined (__need_error_t) || defined (__need_ERRNO_H__)
#  define __have_error_t
#  undef __need_error_t

typedef int error_t;

#  endif /* __need_error_t || __need_ERRNO_H__  */


#  ifdef __need_ERRNO_H__
#  define __ERRNO_H__
#  undef __need_ERRNO_H__

#define ENOMEM 1
#define EINVAL 2
#define EPERM 3
#define EGRATUITOUS 4
#define EBUSY 5
#define ESRCH 6
#define EAGAIN 7
#define EOPNOTSUPP 8

#include <pthread.h>

extern int * __pthread_errno (void);

#define errno (* (__pthread_errno ()))

#  endif /* __need_ERRNO_H__  */

#endif /* __ERRNO_H__ */
